Upgrade Phones from UC Software 4.0.x

If your Polycom phones are running UC Software 4.

0.x or later, you can upgrade to a later UC Software version. If your phones are running a software release earlier than UC Software 4.0.x, you should first upgrade to UC Software 4.0.x following the instructions in Technical Bulletin 64731: Upgrading Polycom Phones to and Downgrading Phones From Polycom UC Software 4.0.0 at Polycom Engineering Advisories and Technical Notifications.

Note: To ensure predictable phone behavior, the configuration files listed in CONFIG_FILES attribute of the master configuration file must be updated when the software is updated.

Procedure

  1. Back up your existing application and configuration files.
  2. Create your new configuration using UC Software 4.1.0.

    Configuration file changes and enhancements are explained in the Release Notes that accompany the software.

  3. Save the new configuration files and images (such as sip.ld ) on your provisioning server.
  4. Reboot the phones using an automatic method such as polling or check-sync.
    • Reboot your phone manually as a backup option only if another reboot method fails.
    • You can boot the phones remotely through the SIP signaling protocol.

You can configure the phones to periodically poll the provisioning server for changed configuration files or application executables. If a change is detected, the phone may reboot to download the change.